# Generated by Django 3.1.4 on 2021-02-02 08:24

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Workflow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('workflow_uri', models.CharField(blank=True, max_length=30, null=True, unique=True)),
                ('repository', models.CharField(blank=True, max_length=100, null=True)),
                ('commit_id', models.CharField(blank=True, max_length=15, null=True)),
                ('path', models.CharField(blank=True, max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('task_type', models.CharField(default='task', max_length=20)),
                ('filter', models.CharField(blank=True, max_length=30, null=True)),
                ('new_status', models.CharField(default='defining', max_length=50, null=True)),
                ('status', models.CharField(blank=True, db_index=True, default='unknown', max_length=50, null=True)),
                ('resume', models.BooleanField(default=True)),
                ('creationTime', models.DateTimeField(blank=True, default=datetime.datetime.utcnow)),
                ('priority', models.IntegerField(null=True)),
                ('purge_policy', models.CharField(blank=True, default='no', max_length=5, null=True)),
                ('stage_request_id', models.IntegerField(null=True)),
                ('project', models.CharField(blank=True, default='unknown', max_length=100, null=True)),
                ('sas_id', models.CharField(blank=True, max_length=15, null=True)),
                ('inputs', models.JSONField(blank=True, null=True)),
                ('outputs', models.JSONField(blank=True, null=True)),
                ('metrics', models.JSONField(blank=True, null=True)),
                ('size_to_process', models.IntegerField(null=True)),
                ('size_processed', models.IntegerField(null=True)),
                ('total_processing_time', models.IntegerField(null=True)),
                ('predecessor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='successors', to='taskdatabase.task')),
                ('workflow', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tasks', to='taskdatabase.workflow')),
            ],
        ),
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='unknown', max_length=50)),
                ('timestamp', models.DateTimeField(blank=True, default=datetime.datetime.utcnow)),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='status_history', to='taskdatabase.task')),
            ],
        ),
        migrations.CreateModel(
            name='LogEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cpu_cycles', models.IntegerField(blank=True, null=True)),
                ('wall_clock_time', models.IntegerField(blank=True, null=True)),
                ('url_to_log_file', models.CharField(blank=True, max_length=100, null=True)),
                ('step_name', models.CharField(blank=True, max_length=30, null=True)),
                ('timestamp', models.DateTimeField(blank=True, null=True)),
                ('status', models.CharField(blank=True, default='defined', max_length=50, null=True)),
                ('description', models.CharField(blank=True, max_length=100, null=True)),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='log_entries', to='taskdatabase.task')),
            ],
        ),
    ]
