from django.test import TestCase
from django.urls import reverse

from taskdatabase.models import Task, Workflow
class DetailsPageViewTest(TestCase):

    @classmethod
    def setUp(cls):
        # Set up non-modified objects used by all test methods
        workflow = Workflow()
        workflow.save()

        # create a list of Tasks
        Task.objects.get_or_create(sas_id=12345, status='finished', workflow=workflow)

    def test_url_exists_at_desired_location(self):
        # extract the task
        task = Task.objects.all()[0]
        response = self.client.get(f'/atdb/task_details/{task.id}/1')
        self.assertEqual(response.status_code, 200)


    def test_uses_correct_template(self):
        task = Task.objects.all()[0]
        response = self.client.get(f'/atdb/task_details/{task.id}/1')
        self.assertEqual(response.status_code, 200)
        self.assertTemplateUsed(response, 'taskdatabase/tasks/task_details.html')